Skip to main content
GET
/
jobs
/
{id}
/
result
{
  "jobInfo": {
    "id": "<string>",
    "organisationId": "<string>",
    "scheduleType": "CALENDAR",
    "demandType": "SHIFT_DEMAND",
    "planningHorizon": {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "nrOfWeeks": 2,
      "fteStartDay": {
        "dayIndex": 1,
        "date": "2023-12-25"
      },
      "fteEndDay": {
        "dayIndex": 1,
        "date": "2023-12-25"
      }
    }
  },
  "roster": {
    "demandFulfillment": {
      "shiftDemand": {
        "min": {
          "demand": 123,
          "assigned": 123
        },
        "ideal": {
          "demand": 123,
          "assigned": 123
        },
        "max": {
          "demand": 123,
          "assigned": 123
        }
      },
      "timeDemand": {
        "min": {
          "demand": 123,
          "assigned": 123
        },
        "ideal": {
          "demand": 123,
          "assigned": 123
        },
        "max": {
          "demand": 123,
          "assigned": 123
        }
      }
    },
    "employeeRosters": [
      {
        "employeeId": "<string>",
        "summary": {
          "hoursAssigned": 123,
          "hoursAdjusted": 123
        },
        "assignments": [
          {
            "day": {
              "date": "2023-12-25",
              "dayIndex": 1
            },
            "shiftId": "<string>",
            "roleId": "<string>",
            "assignmentType": "LOCKED"
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Enter the token with the Bearer: prefix. You can retrieve token from Visma connect.

Path Parameters

id
string
required

Job ID

Response

Returns the result.

Schedule response body containing all information about the solver result

jobInfo
object

Details about the job that the solver will solve.

roster
object

The created roster, including relevant information on the demand fulfillment and employee assignments.